org.vishia.guiBzr

## Class GuiCommitPanel

- java.lang.Object
- - org.vishia.guiBzr.GuiCommitPanel

-     public class GuiCommitPanel
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private GralUserAction` | `actionCommit`
    `(package private) MainData` | `mainData` Aggregation to the main data of the GUI.
    `(package private) GralMngBuild_ifc` | `panelBuildifc` Aggregation to the build interface of the manager where the panel is member of.
    `(package private) java.lang.StringBuilder` | `uCommitOut`
    `(package private) GralWidget` | `widgdCommitText`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiCommitPanel(MainData mainData, GralMngBuild_ifc panelBuildifc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `initGui()` Initializes the graphic.
    `(package private) void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mainData

          final MainData mainData

      Aggregation to the main data of the GUI.

    - #### panelBuildifc

          final GralMngBuild_ifc panelBuildifc

      Aggregation to the build interface of the manager where the panel is member of.

    - #### uCommitOut

          final java.lang.StringBuilder uCommitOut

    - #### widgdCommitText

          GralWidget widgdCommitText

    - #### actionCommit

          private final GralUserAction actionCommit

  - ### Constructor Detail

    - #### GuiCommitPanel

          public GuiCommitPanel(MainData mainData,
                                GralMngBuild_ifc panelBuildifc)

  - ### Method Detail

    - #### initGui

          void initGui()

      Initializes the graphic. It will be called in the GUI-Thread.

    - #### stop

          void stop()